Skip to main content

VPN Gateway

Site-to-site VPN gateways created on a VPC.

Resource base path: /restapi/vpngateway

MethodPathDescription
POST/restapi/vpngateway/addVpnGatewayAdd VPN Gateway
GET/restapi/vpngateway/vpnGatewayListVPN Gateway List
DELETE/restapi/vpngateway/deleteVpnGateway/{uuid}Delete VPN Gateway
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Add VPN Gateway​

Add VPN Gateway.

POST /restapi/vpngateway/addVpnGateway

Request body​

FieldTypeRequiredDescription
vpcUuidstringNoUUID of the VPC.
{
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Example request​

curl -X POST \
"https://portal.your-domain.com/restapi/vpngateway/addVpnGateway" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpnGatewayResponse": [
{
"publicIpAddress": "string",
"domainName": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

VPN Gateway List​

VPN Gateway List.

GET /restapi/vpngateway/vpnGatewayList

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.
vpcUuidquerystringNoUUID of the VPC.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/vpngateway/vpnGatewayList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpnGatewayResponse": [
{
"publicIpAddress": "string",
"domainName": "example-name",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"vpcUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
]
}

Delete VPN Gateway​

Delete VPN Gateway.

DELETE /restapi/vpngateway/deleteVpnGateway/{uuid}

Parameters​

ParameterInTypeRequiredDescription
uuidpathstring✅ YesUUID of the resource.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/vpngateway/deleteVpnGateway/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
204No content.
401Invalid authentication credentials.
550Permission denied.
true